Copyright: Opaque Software 1991-95


yesOXSPLITS.O__001yes 3yesyesyesoxSplit for Delphi Helpoxsplitsyesyes24/06/95


Table of Contents

oxSplits Unit

ToxSplit component

ToxQuadSplit component

ToxSplit_prop

ToxQuadSplit_prop

ToxSplit_method

ToxSplit_event

AutoUpdate property

BarColor property

BarPosition property

BarPosition property

BarWidth property

Orientation property

Percent property

Style property

SyncScroll property

TPercent type

ToxsOrientation property

ToxsStyle Type

Registration

Order Form

OXControls

OnResize event


OXControls
ObjectEXtensionControls

Opaque Software ©	oxSplit  ver. 1.0 for Delphi

ToxSplit	2 way Split Window

ToxQuadSplit	4 way Split Window

Order Form

Registration


oxSplits unit

The oxSplits unit contains the declarations for ToxSplit, ToxQuadSplit and for the enumerated type associated with them.When you add a component declared in this unit to a form, the unit is automatically added to the uses clause of that form's unit.The following items are declared in the oxSplits unit:

Components

ToxSplit

ToxQuadSplit

Types

TPercent

ToxsOrientation

ToxsStyle


  ToxSplit component

Properties	Methods	Events

Unit

oxSplits

Description

oxSplit allows the application developer to add a 2 way split pane window to their application. oxSplit provides automatic support for scrollbars, left-right or top-bottom orientation and Windows 3.1 or Windows 95 styles. oxSplit will compile directly into your Delphi application.


ToxSplit_prop
Properties

Runtime only	Key Properties

Align	DragCursor	ParentFont
AutoScroll	DragMode	ParentShowHint
AutoUpdate	Enabled	Percent
BarColor	Font	PopupMenu
BarPosition	Height	ShowHint
BarWidth	HelpContext	Showing
BorderStyle	Hint	Style
BoundsRect	Left	SyncScroll
Color	Name	TabOrder
ComponentIndex	Orientation	TabStop
ControlCount	Owner	Tag
Controls	Parent	Top
Ctl3D	ParentColor	Visible
Cursor	ParentCtl3D	Width


ToxSplit_method
Methods

 Key Methods

BeginDrag	Focused	ScrollBy
BringToFront	GetTextBuf	SendToBack
CanFocus	GetTextLen	SetBounds
Click	Hide	SetFocus
ClientDrag	Refresh	SetTextBuf
ClientToScreen	Repaint	Show
Dragging	ScaleBy	Update
EndDrag	ScreenToClient


ToxSplit_event
Events

 Key Events

OnClick	OnEndDrag	OnMouseMove
OnDblClick	OnEnter	OnMouseUp
OnDragDrop	OnExit	OnResize
OnDragOver	OnMouseDown


  ToxQuadSplit component

Properties	Methods	Events

Unit

oxSplits

Description

oxQuadSplit allows the application developer to add a 4 way split pane window to their application. oxQuadSplit provides automatic support for scrollbars, and Windows 3.1 or Windows 95 styles. oxQuadSplit will compile directly into your Delphi application.


ToxQuadSplit_prop
 Properties

Runtime only	Key Properties

Align	DragCursor	ParentShowHint
AutoScroll	DragMode	PopupMenu
AutoUpdate	Enabled	ShowHint
BarColor	Font	Showing
BarPosition	Height	Style
BarWidth	HelpContext	SyncScroll
BorderStyle	Hint	TabOrder
BoundsRect	Left	TabStop
Color	Name	Tag
ComponentIndex	Owner	Top
ControlCount	Parent	Visible
Controls	ParentColor	Width
Ctl3D	ParentCtl3D
Cursor	ParentFont


AutoUpdate property

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property AutoUpdate: Boolean;

Description

When true, as the User moves the split bar between the panes the windows will continually redraw themselves. This might cause flickering. When false the windows will not update until the split bar is done sizing the panes.


BarColor property

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property BarColor: TColor;

Description

Determines the color of the split bar between the panes.


BarPosition property

Applies to

ToxSplit components

Declaration

property BarPosition: integer;

Description

Determines the position in pixels of the split bar from the top or right edge of the control.


BarPosition property

Applies to

ToxQuadSplit components

Declaration

property BarPosition: TPoint;

Description

Determines the position in pixels of the split bar from the top or right edge of the control.


BarWidth property

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property BarWidth: integer;

Description

Determines the size in pixels of the split bar.


Orientation property

Applies to

ToxSplit components

Declaration

property Orientation: ToxsOrientation;

Description

Determines whether the panes are side-by-side or on above-and-below each other.


Percent property

Applies to

ToxSplit components

Declaration

property Percent: TPercent;

Description

Determines the position of the BarPosition as a percent of the control size.


Style property

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property Style: ToxsStyle;

Description

These are the possible values for the Style property for button controls.

Value	Meaning

bsAuto	The button takes on the appearance of either Windows 3.1 buttons or Windows 95 buttons, depending on which the application is running under.

bsWin31	Uses the Windows 3.1 look.

bsWin95	Uses the Windows 95 look.

bsInset	Uses an inset look.


SyncScroll property

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property AutoScroll: Boolean;

Description

When true, as the User moves a scrollbar in one pane the other scroll bar will move also.

See also the AutoScroll property.


OnResize event

Applies to

ToxSplit or ToxQuadSplit components

Declaration

property OnResize: TNotifyEvent;

Description

The OnResize event occurs whenever the control is resized while an application is running or the split bar is moved. Use the OnResize event handler when you want something to happen in your application when the control is resized or split bar is moved.


TPercent type

Unit

oxSplits

Declaration

TPercent = 0..100

Description

TPercent determines the range of values posible for the Percent property.


ToxsOrientation type

Unit

oxSplits

Declaration

ToxsOrientation = (oxsVert, oxsHorz);

Description

ToxsOrientation is the possible values for the Orientation property.


ToxsStyle type

Unit

oxSplits

Declaration

ToxsStyle = (oxsAuto, oxsWin31, oxsWin95, oxsInset);

Description

ToxsStyle is the possible values for the Style property.


Registration

OxSplit  © is written by Brett Liddicoet

Copyright © 1991-1995

Opaque Software ©

P.O. Box 2483.

Napa, CA 94558

CIS  GO OPAQUE

(707) 253-9466

oxSplit for DELPHI ver 1.0 has been written using Borland Delphi. I welcome all comments, suggestions and problems with OxSplit. Feel free to contact me via US mail or CompuServe E-MAIL. Registered users will be given priority. Thanks for using oxSplit.

 REGISTRATION COSTS

19 Dollars U.S.

 SOFTWARE LICENSE

 OxSplit is not and has never been public domain software, nor is it free software.

 Non-licensed users are granted a limited license to use OxSplit on a 30-day trial basis for the purpose of determining whether OxSplit is suitable for their needs.  The use of OxSplit, except for the initial 30-day trial, requires registration.  The use of unlicensed copies of OxSplit by any person, business, corporation, government agency or any other entity is strictly prohibited.

 A single user license permits a user to use OxSplit only on a single computer.  Licensed users may use the program on different computers, but may not use the program on more than one computer at the same time. Licensed users may also distribute applications compiled with oxSplit.

 No one may modify or patch the OxSplit executable files in any way,  including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

 A limited license is granted to copy and distribute OxSplit only for the trial use of others, subject to the above limitations, and also the following:

  1)    OxSplit must be copied in unmodified form, complete with the file containing this license information and only the following OxSplit files: OXSPLITS.DCU, OXSPLITS.DCR, OXSPLITS.HLP, ORDER.WRI and README.TXT. You may NOT distribute the OxSplit registration ID, control numbers, OXSPLITS.LIC or that portion of the WIN.INI file created by OxSplit.

  2)    The full machine-readable OxSplit documentation must be included with each copy.

  3)    No fee, charge, or other compensation may be requested or accepted, except as

authorized below:

        A) Operators of electronic bulletin board systems (sysops) may make OxSplit available for downloading only as long as the above conditions are met.  An overall or time-dependent charge for the use of the bulletin board system is permitted as long as there is not a specific charge for the download of OxSplit.

        B) Vendors of user-supported or shareware software may distribute OxSplit, subject to the above conditions, without specific permission. Vendors may charge a disk duplication and handling fee, which, when pro-rated to the OxSplit product, may not exceed five dollars.

        C) Non-profit user groups may distribute OxSplit, subject to the above conditions, without specific permission. Non-profit user groups may charge a disk duplication fee, which, when pro-rated to the OxSplit product, may not exceed five dollars.

  LIMITED WARRANTY

EXCEPT AS PROVIDED ABOVE, OPAQUE SOFTWARE DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT.  SHOULD THE PROGRAM PROVE DEFECTIVE, THE   PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES.  IN NO EVENT WILL OPAQUE SOFTWARE BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF OPAQUE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  Use of this product for any period of time constitutes your acceptance of this agreement and subjects you to its contents.

  U.S. GOVERNMENT RESTRICTED RIGHTS

  Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 252.227-7013.  Contractor/manufacturer is Opaque Software.


Order Form
	Print
  Opaque Software Order Form

Please return this form and your remittance to:

Opaque Software

Brett Liddicoet

PO Box 2483

Napa, CA 94558

Fax(707) 253-9466

Ship to:

Name: 	________________________________

Company:	________________________________

Address:	________________________________

________________________________

Phone (Day)	________________________________

Phone (Night)	________________________________

Phone (Fax)	________________________________

CIS# or AOL	________________________________

Please send me:

Visual Basic

_____ Copies of OXButton (VBX) @ $19	$ ___________

_____ Copies of OXDisplay (VBX) @ $15	$ ___________

_____ Copies of 3d-VB Input (VBX) @ $15	$ ___________

DELPHI

_____ Copies of OXButton for Delphi @ $19	$ ___________

_____ Copies of OXDockBar for Delphi @ $19	$ ___________

_____ Copies of OXSplit for Delphi @ $19	$ ___________

Misc

_____ Copies of Multi-Media WinJack @ $19	$ ___________

Overseas shipping add @ $5 each	$ ___________

Canada and Mexico shipping add @ $2 each	$ ___________

Total	$ ___________

Payment may be by check or money order.

(US Funds drawn on US Bank)

Payment may also be made via CompuServe, GO SWREG.